window.Gleam.initSearch([{"doc":"based_pg","title":"based_pg","content":"# based_pg\n\n[![Package Version](https://img.shields.io/hexpm/v/based_pg)](https://hex.pm/packages/based_pg)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/based_pg/)\n\n## WIP\n\nThis package should be used with [`based`](https://github.com/stndrs/based)\n\n```sh\ngleam add based_pg\n```\n\n```gleam\nimport based\nimport based_pg\n\nconst sql = &quot;DELETE FROM users WHERE id=$1;&quot;\n\npub fn main() {\n  let config = load_config()\n\n  use db &lt;- based.register(based_pg.adapter(config))\n\n  based.new_query(sql)\n  |&gt; based.with_values([based.int(1)])\n  |&gt; based.execute(db)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/based_pg&gt;.\n\n## Development\n\n```sh\ndocker-compose up # Starts postgres and adminer containers. Required for tests\ngleam run         # Run the project\ngleam test        # Run the tests\ngleam shell       # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"based_pg","title":"Config","content":"pub type Config {\n  Config(\n    host: String,\n    port: Int,\n    database: String,\n    user: String,\n    password: Option(String),\n    ssl: Bool,\n    connection_parameters: List(#(String, String)),\n    pool_size: Int,\n    queue_target: Int,\n    queue_interval: Int,\n    idle_interval: Int,\n    trace: Bool,\n    ip_version: IpVersion,\n  )\n}\n\nConfig(\n  host: String,\n  port: Int,\n  database: String,\n  user: String,\n  password: Option(String),\n  ssl: Bool,\n  connection_parameters: List(#(String, String)),\n  pool_size: Int,\n  queue_target: Int,\n  queue_interval: Int,\n  idle_interval: Int,\n  trace: Bool,\n  ip_version: IpVersion,\n)\n\n\nSynonyms:\nbased_pg.Config\nbased_pg Config","url":"based_pg.html#Config"},{"doc":"based_pg","title":"IpVersion","content":"pub type IpVersion {\n  Ipv4\n  Ipv6\n}\n\nIpv4\n\n\nIpv6\n\n\nSynonyms:\nbased_pg.IpVersion\nbased_pg IpVersion","url":"based_pg.html#IpVersion"},{"doc":"based_pg","title":"adapter","content":"pub fn adapter(\n  config: Config,\n) -&gt; BasedAdapter(Config, Connection, a)\n Returns a `BasedAdapter` that can be passed into `based.register`.\nSynonyms:\nbased_pg.adapter\nbased_pg adapter","url":"based_pg.html#adapter"},{"doc":"based_pg","title":"default_config","content":"pub fn default_config() -&gt; Config\n\nSynonyms:\nbased_pg.default_config\nbased_pg default_config","url":"based_pg.html#default_config"},{"doc":"based_pg","title":"based_pg","content":"","url":"based_pg.html"}]);